Are all ROS versions compatible?

Are all ROS version compatible with the ROS-TCP-Connector? I saw that melodic and noetic are mentioned as usable versions, but since my institute is using kinetic for most of their work, I thought I`d rather ask then just try.

Hi @lorenz_gunreben , the Unity Robotics packages do not officially support Kinetic, as it reached EOL in April 2021 (alongside Ubuntu 16.04 LTS/Xenial). You may want to check out the Melodic migration guide.